For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload API

Streamline your app build process and upload your .ipa and .apk app builds directly to Updraft and distribute them.

Upload

PUT https://app.getupdraft.com/api/app_upload/YourEnvironmentAppKey/YourAPIkey/

App Upload

Path Parameters

Name
Type
Description

YourEnvironmentAppKey*

String

Your App key/ token. You find it in 'Edit App'. Added directly to request URL.

YourAPIKey*

String

/ token. You find it in your profile: https://app.getupdraft.com/dashboard/profile/tokens

Added directly to request URL.

App

String

Your app file

Parameters

Name

Required

Description

YourEnvironmentAppKey

Yes

Your App key/ token. You find it in 'Edit App'. Added directly to request URL.

YourAPIKey

Yes

Your API key/ token. You find it in your profile: https://app.getupdraft.com/dashboard/profile/tokens

Added directly to request URL.

app

Yes

Application file attached to the request (ipa or apk)

whats_new

No

Additional release notes for this uploaded build. This text will be added to all email notifications.

build_type

No

You can also specify the type of assembly.

custom_branch

No

You can also specify name of your branch you deployed your build.

git_tag

No

You can add your Git tag

git_commit_hash

No

You can add your Git commit hash

git_url

No

You can add the URL to git

Error Codes

In the case of an error, Updraft will return a JSON with status => fail and code with one of the values in the list below.

Error Code

Description

1

Incorrect file

2

This version of your build already exists

3

There is already a newer version uploaded, this version you are trying to upload is older.

4

This is another application and doesn't match with the application in your project

5

This is a different platform type of your application

6

Your storage space is full. Please upgrade your priceplan.

Warning

You are uploaded an already existing build to your project (same version and same build version)

Last updated